Bug 1532554 - (CVE-2018-1000022) CVE-2018-1000022 electrum: Unprotected JSON-RPC interface
CVE-2018-1000022 electrum: Unprotected JSON-RPC interface
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20171125,repo...
: Security
Depends On: 1532555
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-09 05:23 EST by Andrej Nemec
Modified: 2018-02-15 15:08 EST (History)
2 users (show)

See Also:
Fixed In Version: electrum 3.0.4
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-01-29 15:54:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2018-01-09 05:23:37 EST
It was found that electrum before 3.0.4 allowed CORS for the JSON-RPC server. This allows malicious users to possibly access wallets via the local RPC ports.

Upstream issue:

https://github.com/spesmilo/electrum/issues/3374
Comment 1 Andrej Nemec 2018-01-09 05:23:56 EST
Created electrum tracking bugs for this issue:

Affects: fedora-26 [bug 1532555]
Comment 2 Fedora Update System 2018-01-10 17:23:44 EST
electrum-3.0.5-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 3 Jonny Heggheim 2018-01-29 15:54:53 EST
This bug have been fixed in all supported versions of Fedora.

Note You need to log in before you can comment on or make changes to this bug.